/*

					Oscilloscope AVR

			Copyrights 2008,  Yoshi Hiroshi

		Control Block - ATmega644P/ATmega324P
*/

#define __AVR_CTRL_INCLUDED__
#include "CmndMsg.h"

void DoCommand();

void ResetAll(rxBuffType* ptr);
void GetConfiguration(rxBuffType* ptr);
void StartSampling(rxBuffType* ptr);
void StopSampling(rxBuffType* ptr);
void SetRange(rxBuffType* ptr);
void SetPosition(rxBuffType* ptr);
void SetTriggerMode(rxBuffType* ptr);
void SetTriggerLevel(rxBuffType* ptr);
void SetSwitch(rxBuffType* ptr);
void ClearAll(rxBuffType* ptr);
void GetNumData(rxBuffType* ptr);
void GetFirstData(rxBuffType* ptr);
void GetNextData(rxBuffType* ptr);
